<!-- <div id="contentHeader">
</div> -->
<div id="ex-1" class="row ex">
	<div class="col-12">		
		<div class="row example">
			<div class="col-sm-7">
				<label>JavaScript</label>
				
<!-- ---------------------------- EXAMPLE 1 ---------------------------- -->				
<textarea placeholder="Add JavaScript Here" class="d-none">
var myOutputExample = orly.qid("output");
print(myOutputExample);
</textarea>

<!-- ---------------------------- EXAMPLE 2 ---------------------------- -->
<textarea placeholder="Add JavaScript Here" class="d-none">
if (1==1) {
	let ifVariable = "Hi";
	print("The ifVariable is defined and equals " + ifVariable);
}

// Test to see if we can access the variable "ifVariable."
try {
	if (ifVariable) {
		print("ifVariable is accessible outside of the conditional statement.");
	}
} catch(err) {
	print(err);
}
</textarea>

<!-- ---------------------------- EXAMPLE 3 ---------------------------- -->
<textarea placeholder="Add JavaScript Here" class="d-none">
if (1==1) {
	var ifVariable = "Hi";
	print("The ifVariable is defined and equals " + ifVariable);
}

// Test to see if we can access the variable "ifVariable."
try {
	if (ifVariable) {
		print("ifVariable is accessible outside of the conditional statement.");
	}
} catch(err) {
	print(err);
}
</textarea>

<!-- ---------------------------- EXAMPLE 4 ---------------------------- -->
<textarea placeholder="Add JavaScript Here" class="d-none">
if (1==1) {
	const ifVariable = "Hi";
	print("The ifVariable is defined and equals " + ifVariable);
}

// Test to see if we can access the variable "ifVariable."
try {
	if (ifVariable) {
		print("ifVariable is accessible outside of the conditional statement.");
	}
} catch(err) {
	print(err);
}
</textarea>

<!-- ---------------------------- EXAMPLE 5 ---------------------------- -->
<textarea placeholder="Add JavaScript Here" class="d-none">
var foo = "foo";

if (true) {
	foo = "bar";
}

print(`foo: ${foo}`);
</textarea>

<!-- ---------------------------- EXAMPLE 6 ---------------------------- -->
<textarea placeholder="Add JavaScript Here" class="d-none">
function setStatus(jobTitle) {
  var company = "O'Reilly"; 

  function printFullJobTitle() {       
    print("You are an " + company + " " + jobTitle);  
  }

  printFullJobTitle();
}

setStatus("Intern"); 
</textarea>

<!-- ---------------------------- EXAMPLE 7 ---------------------------- -->
<textarea placeholder="Add JavaScript Here" class="d-none">
function setStatus(jobTitle) {
	  var company = "O'Reilly"; 

	  function printFullJobTitle() {       
	    print("You are an " + company + " " + jobTitle);  
	  }

	  return printFullJobTitle;
}

var currentJobTitle = setStatus("Intern"); 
print(currentJobTitle);
currentJobTitle();
</textarea>

<!-- ---------------------------- EXAMPLE 8 ---------------------------- -->
<textarea placeholder="Add JavaScript Here" class="d-none">
print(x); // reference exception 
let x = 3;
print(x);
</textarea>

<!-- ---------------------------- EXAMPLE 9 ---------------------------- -->
<textarea placeholder="Add JavaScript Here" class="d-none">
print(x); // undefined
var x = 3;
print(x); // 3
</textarea>

<!-- ---------------------------- END OF EXAMPLES ---------------------------- -->
				<div>
					<button class="btn btn-success float-right" onclick="runJS();">
						Run
					</button>
				</div>
			</div>			
			<div class="col-sm-5">
				<label>Output</label>
				<div class="bordered" id="output"></div>
			</div>
		</div>
	</div>
</div>
